Comment 2 for bug 554134

Thank you for reporting!
It looks like something is wrong with Ubuntu specific update center. We are investigating the problem.
Workaround exists:
1. Click on "Settings" tab in "Plugins"
2. Activate "NetBeans" (if not activated) and deactivate "Ubuntu Specific" (or "NetBeans for Ubuntu" in case of 6.8-0ubuntu4)
3. Go back to "Available Plugins" and install Maven